public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/ioflo/files/, dev-python/ioflo/
@ 2020-04-28 21:02 Patrick McLean
  0 siblings, 0 replies; 3+ messages in thread
From: Patrick McLean @ 2020-04-28 21:02 UTC (permalink / raw
  To: gentoo-commits

commit:     0f6a64d9b0a5715bf048ed592a690866f645aab5
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Apr 28 20:24:53 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Apr 28 21:02:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f6a64d9

dev-python/ioflo-1.7.8: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/ioflo/Manifest                          |  1 +
 .../ioflo/files/ioflo-1.7.8-network-test.patch     | 32 ++++++++++++++++++++++
 dev-python/ioflo/ioflo-1.7.8.ebuild                | 26 ++++++++++++++++++
 3 files changed, 59 insertions(+)

diff --git a/dev-python/ioflo/Manifest b/dev-python/ioflo/Manifest
index c35fb8a1726..c191ce0d46f 100644
--- a/dev-python/ioflo/Manifest
+++ b/dev-python/ioflo/Manifest
@@ -1 +1,2 @@
 DIST ioflo-1.7.5.tar.gz 838342 BLAKE2B 2eff6af7586400ff562999679b861079184757c951e006d2f300ec894dd17fa9c2ed975781109f6d3bd2cabf0e038ccf81d9f9aeac742313eedaabb59b5a1c82 SHA512 886767d72c4067727d47652fba157a76ecd8a6a5478a761feb3923992ffc585addfe892027ade104c5d44a56fd1645c0548ce3b554553f58e1104864c359470b
+DIST ioflo-1.7.8.tar.gz 838925 BLAKE2B 2df2635990292c416cd4dc3bed5efedce29e494e2488ef5d23294e06ccaaa7f148fd5115ada0fb19dedfc090038ace48027d0bd9eb84a2e2c2c2be223ef2e4eb SHA512 eb6c8e28b915860184beef80281c6d0b0ade851a0d5727005abeca48ee23ba6711de2e1733d2d83d195eb88c0382a626cd7f8e3b5d24d4162409d1d67b225c95

diff --git a/dev-python/ioflo/files/ioflo-1.7.8-network-test.patch b/dev-python/ioflo/files/ioflo-1.7.8-network-test.patch
new file mode 100644
index 00000000000..32c7f51298c
--- /dev/null
+++ b/dev-python/ioflo/files/ioflo-1.7.8-network-test.patch
@@ -0,0 +1,32 @@
+diff --git a/ioflo/aio/udp/test/test_udping.py b/ioflo/aio/udp/test/test_udping.py
+index 9aefdf0..ec44721 100644
+--- a/ioflo/aio/udp/test/test_udping.py
++++ b/ioflo/aio/udp/test/test_udping.py
+@@ -122,6 +122,7 @@ class BasicTestCase(unittest.TestCase):
+         shutil.rmtree(tempDirpath)
+         console.reinit(verbosity=console.Wordage.concise)
+ 
++    @unittest.skip("needs network access")
+     def testBroadcast(self):
+         """
+         Test Class SocketUdpNb
+diff --git a/ioflo/base/test/test_logging.py b/ioflo/base/test/test_logging.py
+index 0b8ce13..b64d469 100644
+--- a/ioflo/base/test/test_logging.py
++++ b/ioflo/base/test/test_logging.py
+@@ -33,6 +33,7 @@ def tearDownModule():
+     console.reinit(verbosity=console.Wordage.concise)
+ 
+ 
++@unittest.skip("needs network access")
+ class LoggerTestCase(testing.LoggerIofloTestCase):
+     """
+     Example TestCase
+@@ -927,6 +928,7 @@ class LoggerTestCase(testing.LoggerIofloTestCase):
+             pass
+ 
+ 
++@unittest.skip("needs network access")
+ class HouseTestCase(testing.HouseIofloTestCase):
+     """
+     Example TestCase

diff --git a/dev-python/ioflo/ioflo-1.7.8.ebuild b/dev-python/ioflo/ioflo-1.7.8.ebuild
new file mode 100644
index 00000000000..ee435892271
--- /dev/null
+++ b/dev-python/ioflo/ioflo-1.7.8.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_6)
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=(
+	"${FILESDIR}/ioflo-1.7.8-network-test.patch"
+)
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+	sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/ioflo/files/, dev-python/ioflo/
@ 2021-02-27  2:32 Patrick McLean
  0 siblings, 0 replies; 3+ messages in thread
From: Patrick McLean @ 2021-02-27  2:32 UTC (permalink / raw
  To: gentoo-commits

commit:     cb55ef1bcf4e20dcca8465c23b2457e1589ab910
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Fri Feb 26 22:02:23 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 02:32:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb55ef1b

dev-python/ioflo-2.0.2: Add py39

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/ioflo/files/ioflo-2.0.2-python39.patch | 131 ++++++++++++++++++++++
 dev-python/ioflo/ioflo-2.0.2.ebuild               |   3 +-
 2 files changed, 133 insertions(+), 1 deletion(-)

diff --git a/dev-python/ioflo/files/ioflo-2.0.2-python39.patch b/dev-python/ioflo/files/ioflo-2.0.2-python39.patch
new file mode 100644
index 00000000000..dca7d54850b
--- /dev/null
+++ b/dev-python/ioflo/files/ioflo-2.0.2-python39.patch
@@ -0,0 +1,131 @@
+diff --git a/ioflo/aid/aiding.py b/ioflo/aid/aiding.py
+index 6840d07..525b311 100644
+--- a/ioflo/aid/aiding.py
++++ b/ioflo/aid/aiding.py
+@@ -135,7 +135,7 @@ def nameToPath(name):
+     return path
+ 
+ def isPath(s):
+-    """Returns True if string s is valid Store path name
++    r"""Returns True if string s is valid Store path name
+        Returns False otherwise
+ 
+        Faster to use precompiled versions in base
+@@ -201,7 +201,7 @@ def isPath(s):
+         return False
+ 
+ def isIdentifier(s):
+-    """Returns True if string s is valid python identifier (variable, attribute etc)
++    r"""Returns True if string s is valid python identifier (variable, attribute etc)
+        Returns False otherwise
+ 
+        how to determine if string is valid python identifier
+diff --git a/ioflo/aid/classing.py b/ioflo/aid/classing.py
+index 2bd37b5..493f5dc 100644
+--- a/ioflo/aid/classing.py
++++ b/ioflo/aid/classing.py
+@@ -5,7 +5,7 @@ meta class and base class utility classes and functions
+ from __future__ import absolute_import, division, print_function
+ 
+ import sys
+-from collections import Iterable, Sequence
++from collections.abc import Iterable, Sequence
+ from abc import ABCMeta
+ import functools
+ import inspect
+@@ -123,7 +123,7 @@ def isIterator(obj):
+ 
+ 
+ 
+-from collections import Generator
++from collections.abc import Generator
+ 
+ def attributize(genfunc):
+     """
+diff --git a/ioflo/aid/eventing.py b/ioflo/aid/eventing.py
+index 837778b..f76ff0c 100644
+--- a/ioflo/aid/eventing.py
++++ b/ioflo/aid/eventing.py
+@@ -7,7 +7,7 @@ from __future__ import absolute_import, division, print_function
+ import sys
+ import os
+ import datetime
+-from collections import Set  # both set and frozen set
++from collections.abc import Set  # both set and frozen set
+ 
+ # Import ioflo libs
+ from .sixing import *
+diff --git a/ioflo/aid/osetting.py b/ioflo/aid/osetting.py
+index 6e6fffd..a99a09c 100644
+--- a/ioflo/aid/osetting.py
++++ b/ioflo/aid/osetting.py
+@@ -6,11 +6,11 @@ http://code.activestate.com/recipes/576694/
+ """
+ from __future__ import absolute_import, division, print_function
+ 
+-import collections
++import collections.abc
+ 
+ from .sixing import *
+ 
+-class oset(collections.MutableSet):
++class oset(collections.abc.MutableSet):
+     """
+     Ordered Set, preserves order of entry in set
+ 
+diff --git a/ioflo/base/acting.py b/ioflo/base/acting.py
+index c4b7bb3..95ad188 100644
+--- a/ioflo/base/acting.py
++++ b/ioflo/base/acting.py
+@@ -5,7 +5,8 @@
+ 
+ import time
+ import struct
+-from collections import deque, Mapping
++from collections import deque
++from collections.abc import Mapping
+ from functools import wraps
+ import inspect
+ import copy
+diff --git a/ioflo/base/doing.py b/ioflo/base/doing.py
+index 5af023c..c074380 100644
+--- a/ioflo/base/doing.py
++++ b/ioflo/base/doing.py
+@@ -3,7 +3,8 @@ doing.py doer module for do verb behaviors
+ """
+ import time
+ import struct
+-from collections import deque, Mapping
++from collections import deque
++from collections.abc import Mapping
+ from functools import wraps
+ import inspect
+ import copy
+diff --git a/ioflo/base/framing.py b/ioflo/base/framing.py
+index 3416289..6a33a35 100644
+--- a/ioflo/base/framing.py
++++ b/ioflo/base/framing.py
+@@ -5,7 +5,8 @@
+ import sys
+ 
+ import copy
+-from collections import deque, Mapping
++from collections import deque
++from collections.abc import Mapping
+ import uuid
+ 
+ from ..aid.sixing import *
+diff --git a/ioflo/base/logging.py b/ioflo/base/logging.py
+index d78a5fa..dca7460 100644
+--- a/ioflo/base/logging.py
++++ b/ioflo/base/logging.py
+@@ -10,7 +10,8 @@ import datetime
+ import copy
+ import io
+ 
+-from collections import deque, MutableSequence, MutableMapping, Mapping
++from collections import deque
++from collections.abc import MutableSequence, MutableMapping, Mapping
+ 
+ from ..aid.sixing import *
+ from .globaling import *

diff --git a/dev-python/ioflo/ioflo-2.0.2.ebuild b/dev-python/ioflo/ioflo-2.0.2.ebuild
index 34911e9c551..a773fad8c77 100644
--- a/dev-python/ioflo/ioflo-2.0.2.ebuild
+++ b/dev-python/ioflo/ioflo-2.0.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=(python3_{7..8})
+PYTHON_COMPAT=(python3_{7..9})
 inherit distutils-r1
 
 DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
@@ -27,6 +27,7 @@ BDEPEND="${RDEPEND}
 
 PATCHES=(
 	"${FILESDIR}/ioflo-1.7.8-network-test.patch"
+	"${FILESDIR}/ioflo-2.0.2-python39.patch"
 )
 
 distutils_enable_tests pytest


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/ioflo/files/, dev-python/ioflo/
@ 2021-12-03 23:55 Patrick McLean
  0 siblings, 0 replies; 3+ messages in thread
From: Patrick McLean @ 2021-12-03 23:55 UTC (permalink / raw
  To: gentoo-commits

commit:     696d9fb3f9200436add060ac9f33e94c10e59bb2
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  3 23:04:56 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Dec  3 23:55:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=696d9fb3

dev-python/ioflo: Revbump, add py310, fix tests

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/ioflo/files/ioflo-2.0.2-py310.patch | 51 ++++++++++++++++++++++++++
 dev-python/ioflo/files/ioflo-2.0.2-tests.patch | 29 +++++++++++++++
 dev-python/ioflo/ioflo-2.0.2-r1.ebuild         | 40 ++++++++++++++++++++
 3 files changed, 120 insertions(+)

diff --git a/dev-python/ioflo/files/ioflo-2.0.2-py310.patch b/dev-python/ioflo/files/ioflo-2.0.2-py310.patch
new file mode 100644
index 000000000000..7effeeb57811
--- /dev/null
+++ b/dev-python/ioflo/files/ioflo-2.0.2-py310.patch
@@ -0,0 +1,51 @@
+commit 2961d846dd250334b8fc52c2ef4c00ebc36ed510
+Author: Felix Yan <felixonmars@archlinux.org>
+Date:   Fri Nov 20 04:42:02 2020 +0800
+
+    Fix compatibility with Python 3.9
+    
+    json.loads() removed encoding parameter
+    (https://bugs.python.org/issue39377)
+    It was a no-op since 3.1.
+
+diff --git a/ioflo/aio/http/clienting.py b/ioflo/aio/http/clienting.py
+index 11132e3..967570e 100644
+--- a/ioflo/aio/http/clienting.py
++++ b/ioflo/aio/http/clienting.py
+@@ -268,13 +268,13 @@ class Requester(object):
+                                          '\r\n{2}'.format(boundary, key, val))
+                     formParts.append('\r\n--{0}--'.format(boundary))
+                     form = "".join(formParts)
+-                    body = form.encode(encoding='utf-8')
++                    body = form.encode('utf-8')
+                     self.headers[u'content-type'] = u'multipart/form-data; boundary={0}'.format(boundary)
+                 else:
+                     formParts = [u"{0}={1}".format(key, val) for key, val in self.fargs.items()]
+                     form = u'&'.join(formParts)
+                     form = quote_plus(form, '&=')
+-                    body = form.encode(encoding='utf-8')
++                    body = form.encode('utf-8')
+                     self.headers[u'content-type'] = u'application/x-www-form-urlencoded; charset=utf-8'
+             else:  # body last in precendence
+                 body = self.body
+diff --git a/ioflo/aio/http/httping.py b/ioflo/aio/http/httping.py
+index ba604e7..a22cc84 100644
+--- a/ioflo/aio/http/httping.py
++++ b/ioflo/aio/http/httping.py
+@@ -746,7 +746,7 @@ class EventSource(object):
+                 if edata:  # data so dispatch event by appending to .events
+                     if self.dictable:
+                         try:
+-                            ejson = json.loads(edata, encoding='utf-8', object_pairs_hook=odict)
++                            ejson = json.loads(edata, object_pairs_hook=odict)
+                         except ValueError as ex:
+                             ejson = None
+                         else:  # valid json set edata to ejson
+@@ -1058,7 +1058,6 @@ class Parsent(object):
+         if self.jsoned or self.dictable:  # attempt to deserialize json
+             try:
+                 self.data = json.loads(self.body.decode('utf-8'),
+-                                       encoding='utf-8',
+                                        object_pairs_hook=odict)
+             except ValueError as ex:
+                 self.data = None

diff --git a/dev-python/ioflo/files/ioflo-2.0.2-tests.patch b/dev-python/ioflo/files/ioflo-2.0.2-tests.patch
new file mode 100644
index 000000000000..6003cb374f0d
--- /dev/null
+++ b/dev-python/ioflo/files/ioflo-2.0.2-tests.patch
@@ -0,0 +1,29 @@
+diff --git a/ioflo/aio/tcp/test/test_tcping.py b/ioflo/aio/tcp/test/test_tcping.py
+index f78d43f..ea9cc26 100644
+--- a/ioflo/aio/tcp/test/test_tcping.py
++++ b/ioflo/aio/tcp/test/test_tcping.py
+@@ -12,6 +12,8 @@ import shutil
+ import socket
+ import errno
+ 
++import pytest
++
+ from ioflo.aid.sixing import *
+ from ioflo.aid.consoling import getConsole
+ from ioflo.aio import wiring
+@@ -966,6 +968,7 @@ class BasicTestCase(unittest.TestCase):
+         wireLogBeta.close()
+         console.reinit(verbosity=console.Wordage.concise)
+ 
++    @pytest.mark.skip("Broken on modern python versions")
+     def testTLSConnectionVerifyNeither(self):
+         """
+         Test TLS client server connection with neither verify certs
+@@ -1490,6 +1493,7 @@ class BasicTestCase(unittest.TestCase):
+         wireLogBeta.close()
+         console.reinit(verbosity=console.Wordage.concise)
+ 
++    @pytest.mark.skip("Broken on modern python versions")
+     def testTLSConnectionVerifyBothTLSv1(self):
+         """
+         Test TLS client server connection with neither verify certs

diff --git a/dev-python/ioflo/ioflo-2.0.2-r1.ebuild b/dev-python/ioflo/ioflo-2.0.2-r1.ebuild
new file mode 100644
index 000000000000..ca18987e2fa3
--- /dev/null
+++ b/dev-python/ioflo/ioflo-2.0.2-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{7..10})
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+	$(python_gen_cond_dep '>=dev-lang/python-3.7.4' python3_7)
+"
+BDEPEND="${RDEPEND}
+	test? (
+		dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
+		app-admin/salt[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/ioflo-1.7.8-network-test.patch"
+	"${FILESDIR}/ioflo-2.0.2-python39.patch"
+	"${FILESDIR}/ioflo-2.0.2-tests.patch"
+	"${FILESDIR}/ioflo-2.0.2-py310.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-12-03 23:55 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-12-03 23:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/ioflo/files/, dev-python/ioflo/ Patrick McLean
  -- strict thread matches above, loose matches on Subject: below --
2021-02-27  2:32 Patrick McLean
2020-04-28 21:02 Patrick McLean

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox